Is it possible to turn off checking for 401 error? 

We have been getting the 401 unauthorized error (see below) spontaneously (could be within minutes or hours) while running makeGLMModel within a long for loop. Since we are not using FLOW, it is possible to turn off the checking that gives the error?  

We are running H2O 3.36.1.2 from Jupyterlab in linux with python 3.9.

==================

File

…/model/model_base.py:280, in ModelBase.predict(self, test_data, custom_metric, custom_metric_func)

278 eval_func_ref = h2o.upload_custom_metric(custom_metric)

279 if not isinstance(test_data, h2o.H2OFrame): raise ValueError("test_data must be an instance of H2OFrame")

--> 280 j = H2OJob(h2o.api("POST /4/Predictions/models/%s/frames/%s" % (self.model_id, test_data.frame_id), data = {'custom_metric_func': custom_metric_func}),

281 self._model_json["algo"] + " prediction")

282 j.poll() 283 return h2o.get_frame(j.dest_key)

 

File

… /h2o.py:124, in api(endpoint, data, json, filename, save_to)

122 # type checks are performed in H2OConnection class

123 _check_connection()

--> 124 return h2oconn.request(endpoint, data=data, json=json, filename=filename, save_to=save_to)

 

File

…/backend/connection.py:477, in H2OConnection.request(self, endpoint, data, json, filename, save_to) 475 save_to = save_to(resp)

476 self._log_end_transaction(start_time, resp)

--> 477 return self._process_response(resp, save_to)

479 except (requests.exceptions.ConnectionError, requests.exceptions.HTTPError) as e:

480 if self._local_server and not self._local_server.is_running():

 

File

…/backend/connection.py:833, in H2OConnection._process_response(response, save_to)

828 raise H2OResponseError(data)

830 # Server errors (notably 500 = "Server Error")

831 # Note that it is possible to receive valid H2OErrorV3 object in this case, however it merely means the server

832 # did not provide the correct status code.

--> 833 raise H2OServerError("HTTP %d %s:\n%s" % (status_code, response.reason, data))

H2OServerError: HTTP 401 Unauthorized: Error 401 Unauthorized

HTTP ERROR 401

Problem accessing /4/Predictions/models/_bb1e16ae6444b1502da0da5828b94e5e/frames/Key_Frame__upload_9b8f3639e1877ec9cab1f657ef7476b.hex. Reason:

 Unauthorized

==================

Tagged: